#!/bin/bash
## $1: Sender    ard, zdf, rbb, rbb-brb, mdr, ndr, wdr,swr, hr, br, sr, neo, 3sat, arte, phoenix, info, alpha, one, tagesschau, kika
## 
## Nur für LINUX bash...
## livestream-vlc.sh: ........ Livestreams der öffentlich-rechtlichen Mediatheken - TV/Radio - in VLC ansehen
## ........................... Parameter: Sender (ard, zdf, rbb, rbb-brb, mdr, ndr, wdr,swr, hr, br, sr, neo, 3sat, arte, info, 
## ........................... .................. phoenix, alpha, one, tagesschau, kika, orf1, orf2, orf3, orf-sport, arte-fr, 
## ........................... .................. RadioBerlin88.8, RadioEins, Inforadio, Kulturradio, Fritz, RadioBrandenburg)
## ........................... Speicherort: beliebiges Benutzerverzeichnis, verwendet livestream-adresse.inc
## filmschnitt.sh:............ Videodatei schneiden und konvertieren (möglichst nach MP4 1280x720)
## ........................... Parameter: [HDfull|HDready|DVD|Android] Videodatei [Startzeit(hh:mm:ss) [Stopzeit(hh:mm:ss) [FPSx1000 Audiooffset]]]
## ........................... Speicherort: beliebiges Benutzerverzeichnis, verwendet livestream-adresse.inc
## livestream-aufnahme.sh:.... Livestreams der öffentlich-rechtlichen Mediatheken zeitgesteuert aufnehmen/speichern
## ........................... Parameter: Sender(wie bei livestream-vlc.sh) Startzeit(YYYYMMDDhhmm) Dauer(mmm) Name
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/), 
## ........................... ............ verwendet livestream-adresse.inc, livestream-aufnahme.sh, livestream-aufnahme-rm.sh
## livestream-aufnahme-pre.sh: Livestreams der öffentlich-rechtlichen Mediatheken aus TVbrowser zeitgesteuert aufnehmen/speichern
## ........................... Parameter: [remove] Sender(wie bei livestream-vlc.sh, Jahr Monat Tag Stunde Minute Dauer Name
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/), verwendet livestream-adresse.inc
## livestream-aufnahme-rm.sh:. Programmierte Aufnahme löschen
## ........................... Parameter: Sender(wie bei livestream-vlc.sh) Startzeit(YYYYMMDDhhmm) Dauer(mmm) Name
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/), verwendet livestream-adresse.inc
## livestream-adresse.inc:.... Senderliste für  die bash-Scripte
## ........................... Speicherort: Benutzer-Homeverzeichnis (~/)
## 
scriptversion=2.0
scriptdatum=29.11.2018

source ~/livestream-adresse.inc
_beenden=0
if [ "$1" != "" ]; then
    for ((index=0;index<=${#streamaddr[@]};index+=3))
    do
        if [ "$1" = "${streamaddr[$index]}" ]; then
            #tmpidx=$(($index/3))
            clear
            vlc ${streamaddr[$index+2]}
        fi
    done
else
  while [ $_beenden = 0 ]
  do
    senderauswahl=$(dialog --stdout --backtitle Mediathek --title Details --radiolist "Mediathek-Senderauswahl" 40 33 33 \
    "0"   "(beenden)"  on \
    "1"   "${streamaddr[$(( 0 * $streamaddrsize ))]}" off  "2"   "${streamaddr[$(( 1 * $streamaddrsize ))]}" off \
    "3"   "${streamaddr[$(( 2 * $streamaddrsize ))]}" off  "4"   "${streamaddr[$(( 3 * $streamaddrsize ))]}" off  \
    "5"   "${streamaddr[$(( 4 * $streamaddrsize ))]}" off  "6"   "${streamaddr[$(( 5 * $streamaddrsize ))]}" off  \
    "7"   "${streamaddr[$(( 6 * $streamaddrsize ))]}" off "8"    "${streamaddr[$(( 7 * $streamaddrsize ))]}" off  \
    "9"   "${streamaddr[$(( 8 * $streamaddrsize ))]}" off  "10"  "${streamaddr[$(( 9 * $streamaddrsize ))]}" off  \
    "11"  "${streamaddr[$(( 10 * $streamaddrsize ))]}" off "12"  "${streamaddr[$(( 11 * $streamaddrsize ))]}" off \
    "13"  "${streamaddr[$(( 12 * $streamaddrsize ))]}" off "14"  "${streamaddr[$(( 13 * $streamaddrsize ))]}" off \
    "15"  "${streamaddr[$(( 14 * $streamaddrsize ))]}" off "16"  "${streamaddr[$(( 15 * $streamaddrsize ))]}" off \
    "17"  "${streamaddr[$(( 16 * $streamaddrsize ))]}" off "18"  "${streamaddr[$(( 17 * $streamaddrsize ))]}" off \
    "19"  "${streamaddr[$(( 18 * $streamaddrsize ))]}" off "20"  "${streamaddr[$(( 19 * $streamaddrsize ))]}" off \
    "21"  "${streamaddr[$(( 20 * $streamaddrsize ))]}" off "22"  "${streamaddr[$(( 21 * $streamaddrsize ))]}" off \
    "23"  "${streamaddr[$(( 22 * $streamaddrsize ))]}" off "24"  "${streamaddr[$(( 23 * $streamaddrsize ))]}" off \
    "25"  "${streamaddr[$(( 24 * $streamaddrsize ))]}" off "26"  "${streamaddr[$(( 25 * $streamaddrsize ))]}" off \
    "27"  "${streamaddr[$(( 26 * $streamaddrsize ))]}" off "28"  "${streamaddr[$(( 27 * $streamaddrsize ))]}" off \
    "29"  "${streamaddr[$(( 28 * $streamaddrsize ))]}" off "30"  "${streamaddr[$(( 29 * $streamaddrsize ))]}" off \
    "31"  "${streamaddr[$(( 30 * $streamaddrsize ))]}" off "32"  "${streamaddr[$(( 31 * $streamaddrsize ))]}" off )
    
    case $senderauswahl in
    0)    _beenden=1; senderlink="";;
    1)    senderlink="${streamaddr[$(( (0 * $streamaddrsize) + $idxStreamaddr ))]}";;    2)    senderlink="${streamaddr[$(( (1 * $streamaddrsize) + $idxStreamaddr ))]}";;
    3)    senderlink="${streamaddr[$(( (2 * $streamaddrsize) + $idxStreamaddr ))]}";;    4)    senderlink="${streamaddr[$(( (3 * $streamaddrsize) + $idxStreamaddr ))]}";;
    5)    senderlink="${streamaddr[$(( (4 * $streamaddrsize) + $idxStreamaddr ))]}";;    6)    senderlink="${streamaddr[$(( (5 * $streamaddrsize) + $idxStreamaddr ))]}";;
    7)    senderlink="${streamaddr[$(( (6 * $streamaddrsize) + $idxStreamaddr ))]}";;    8)    senderlink="${streamaddr[$(( (7 * $streamaddrsize) + $idxStreamaddr ))]}";;
    9)    senderlink="${streamaddr[$(( (8 * $streamaddrsize) + $idxStreamaddr ))]}";;    10)   senderlink="${streamaddr[$(( (9 * $streamaddrsize) + $idxStreamaddr ))]}";;
    11)   senderlink="${streamaddr[$(( (10 * $streamaddrsize) + $idxStreamaddr ))]}";;   12)   senderlink="${streamaddr[$(( (11 * $streamaddrsize) + $idxStreamaddr ))]}";;
    13)   senderlink="${streamaddr[$(( (12 * $streamaddrsize) + $idxStreamaddr ))]}";;   14)   senderlink="${streamaddr[$(( (13 * $streamaddrsize) + $idxStreamaddr ))]}";;
    15)   senderlink="${streamaddr[$(( (14 * $streamaddrsize) + $idxStreamaddr ))]}";;   16)   senderlink="${streamaddr[$(( (15 * $streamaddrsize) + $idxStreamaddr ))]}";;
    17)   senderlink="${streamaddr[$(( (16 * $streamaddrsize) + $idxStreamaddr ))]}";;   18)   senderlink="${streamaddr[$(( (17 * $streamaddrsize) + $idxStreamaddr ))]}";;
    19)   senderlink="${streamaddr[$(( (18 * $streamaddrsize) + $idxStreamaddr ))]}";;   20)   senderlink="${streamaddr[$(( (19 * $streamaddrsize) + $idxStreamaddr ))]}";;
    21)   senderlink="${streamaddr[$(( (20 * $streamaddrsize) + $idxStreamaddr ))]}";;   22)   senderlink="${streamaddr[$(( (21 * $streamaddrsize) + $idxStreamaddr ))]}";;
    23)   senderlink="${streamaddr[$(( (22 * $streamaddrsize) + $idxStreamaddr ))]}";;   24)   senderlink="${streamaddr[$(( (23 * $streamaddrsize) + $idxStreamaddr ))]}";;
    25)   senderlink="${streamaddr[$(( (24 * $streamaddrsize) + $idxStreamaddr ))]}";;   26)   senderlink="${streamaddr[$(( (25 * $streamaddrsize) + $idxStreamaddr ))]}";;
    27)   senderlink="${streamaddr[$(( (26 * $streamaddrsize) + $idxStreamaddr ))]}";;   28)   senderlink="${streamaddr[$(( (27 * $streamaddrsize) + $idxStreamaddr ))]}";;
    #29)   senderlink="${streamaddr[$(( (28 * $streamaddrsize) + $idxStreamaddr ))]}";;   30)   senderlink="${streamaddr[$(( (29 * $streamaddrsize) + $idxStreamaddr ))]}";;
    #31)   senderlink="${streamaddr[$(( (30 * $streamaddrsize) + $idxStreamaddr ))]}";;   32)   senderlink="${streamaddr[$(( (31 * $streamaddrsize) + $idxStreamaddr ))]}";;
    *)    _beenden=1; senderlink="";;
    esac

    #case $senderliste in
    #*)    vlc_aufruf="vlc $senderlink"
    #      ;;
    #esac
    if [ "$senderlink" = "" ] || [ "$senderauswahl" = "xxx" ]; then
        vlc_aufruf="echo kein Sender gewählt"
        _beenden=1
    else
        vlc_aufruf="vlc $senderlink"
    fi
    clear
    echo ===== scriptversion=$scriptversion vom $scriptdatum - $senderauswahl: $vlc_aufruf =====
    $vlc_aufruf
  done
fi


